Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.transport.impl.apache
Class StreamServerConfigurationImpl

    java.lang.Object
      org.teleal.cling.transport.impl.apache.StreamServerConfigurationImpl

All Implemented Interfaces:
  StreamServerConfiguration

    public class StreamServerConfigurationImpl

extends Object
implements StreamServerConfiguration

Author:
  Christian Bauer

Constructor Summary
`StreamServerConfigurationImpl(int listenPort)`

Method Summary
`int` | `getBufferSizeKilobytes()`
`int` | `getDataWaitTimeoutSeconds()`
`int` | `getListenPort()`
`String` | `getServerOriginOS()`
`String` | `getServerOriginProduct()`
`int` | `getTcpConnectionBacklog()`
`boolean` | `isStaleConnectionCheck()`
`boolean` | `isTcpNoDelay()`
`void` | `setBufferSizeKilobytes(int bufferSizeKilobytes)`
`void` | `setDataWaitTimeoutSeconds(int dataWaitTimeoutSeconds)`
`void` | `setListenPort(int listenPort)`
`void` | `setStaleConnectionCheck(boolean staleConnectionCheck)`
`void` | `setTcpConnectionBacklog(int tcpConnectionBacklog)`
`void` | `setTcpNoDelay(boolean tcpNoDelay)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamServerConfigurationImpl

    public StreamServerConfigurationImpl(int listenPort)

Method Detail

### getListenPort

    public int getListenPort()

  Specified by:
    `getListenPort` in interface `StreamServerConfiguration`

### setListenPort

    public void setListenPort(int listenPort)

### getDataWaitTimeoutSeconds

    public int getDataWaitTimeoutSeconds()

### setDataWaitTimeoutSeconds

    public void setDataWaitTimeoutSeconds(int dataWaitTimeoutSeconds)

### getBufferSizeKilobytes

    public int getBufferSizeKilobytes()

### setBufferSizeKilobytes

    public void setBufferSizeKilobytes(int bufferSizeKilobytes)

### isStaleConnectionCheck

    public boolean isStaleConnectionCheck()

### setStaleConnectionCheck

    public void setStaleConnectionCheck(boolean staleConnectionCheck)

### isTcpNoDelay

    public boolean isTcpNoDelay()

### setTcpNoDelay

    public void setTcpNoDelay(boolean tcpNoDelay)

### getTcpConnectionBacklog

    public int getTcpConnectionBacklog()

### setTcpConnectionBacklog

    public void setTcpConnectionBacklog(int tcpConnectionBacklog)

### getServerOriginOS

    public String getServerOriginOS()

  Specified by:
    `getServerOriginOS` in interface `StreamServerConfiguration`

### getServerOriginProduct

    public String getServerOriginProduct()

  Specified by:
    `getServerOriginProduct` in interface `StreamServerConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.